
Infrastructure - Task #4123

Story # 3875 (Closed): Create a dashboard (version 1) for DataONE to provide high level overall system status

Create a Member Node List view

2013-10-28 20:23 - Chris Jones

Status: Closed Start date: 2013-10-28

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_dashboard Estimated time: 0.00 hour

Target version: 2014.14-Block.2.3   

Milestone: None Story Points:  

Product Version: *   

Description

The dashboard currently has a table below the graph view on the summary page that shows per-MN statistics.  Remove this table

from the view in favor of a simpler MN table with the following columns:

status - the status coming from the nodes list (green vs red icons, use full size icons, not mini)

name - the name of the member node, coming from the node list

description - the MN description from the node list, limited to one line ending in an ellipsis. On hover, show the full description of the

node in a popover.

PDF - a link to the MN description document. create a pseudo data source for these links to the www drupal website.

Each whole row should be linked to a new MemberNodeDetailView. See #4122

History

#1 - 2013-10-28 20:41 - Chris Jones

- Description updated

#2 - 2013-10-28 20:46 - Skye Roseboom

default alpha sort by member node name.

#3 - 2013-11-05 21:09 - Skye Roseboom

- Status changed from New to In Progress

#4 - 2014-01-06 18:32 - Chris Jones

- Target version changed from 2013.44-Block.6.1 to 2014.2-Block.1.1

#5 - 2014-03-13 16:39 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

Changes from AHM have been made and reviewed initially.

#6 - 2014-03-14 17:12 - Skye Roseboom

- Target version changed from 2014.2-Block.1.1 to 2014.12-Block.2.2

#7 - 2014-03-31 17:41 - Skye Roseboom

- Target version changed from 2014.12-Block.2.2 to 2014.14-Block.2.3
